com.qualcomm.robotcore.exception

## Class RobotCoreException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.qualcomm.robotcore.exception.RobotCoreException

- All Implemented Interfaces:
    java.io.Serializable

      public class RobotCoreException
      extends java.lang.Exception

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RobotCoreException(java.lang.String message)`
    `RobotCoreException(java.lang.String format, java.lang.Object... args)`
    `RobotCoreException(java.lang.String message, java.lang.Throwable cause)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RobotCoreException` | `createChained(java.lang.Exception e, java.lang.String format, java.lang.Object... args)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RobotCoreException

          public RobotCoreException(java.lang.String message)

    - #### RobotCoreException

          public RobotCoreException(java.lang.String message,
                                    java.lang.Throwable cause)

    - #### RobotCoreException

          public RobotCoreException(java.lang.String format,
                                    java.lang.Object... args)

  - ### Method Detail

    - #### createChained

          public static RobotCoreException createChained(java.lang.Exception e,
                                                         java.lang.String format,
                                                         java.lang.Object... args)